$font: 'Miriam Libre', sans-serif;
// $font: 'Open Sans',sans-serif;

nav {
position: absolute;
top: 0;
left: 0;
right: 0;
padding: 50px;
z-index: 100;

div {
    
    // top: 0;
    // margin: 20px;
    display: flex;
    flex-direction: row;
    // background-color: black;


    div {
        display: flex;
        // height: 40px;
        margin: 0;

        div {
            display: inline-block;
            width: auto;
            text-decoration: none;
            padding: auto, 0;
            margin: auto, 0;
            padding-left: 20px;
            padding-right: 20px;

        }
    }

    button {
        // dropdown button style
        display: none;
        color: white;

    }

    .logo {
        background-color: inherit;
        font-size: 20px;
        font-family: $font;
        padding: 20px;
        color: white;
    }

    .dropdown {
        // display: flex;
        justify-content: end;
        flex: 1;

    }

    input {
        width: 10em;
        // height: 100%;
        padding: 20px;
        border: 0;
        background-color: inherit;
        color: white;
        border-bottom: 1px white solid;
        font-size: 20px;
        font-family: $font;
        transition: width 0.8s;

    }

    input:focus{
        width: 20em;
    }


    .end {
        font-size: 20px;
        padding: 20px;
        text-decoration: none;
        color: white;
        border: none;
        font-family: $font;
        text-transform: uppercase;
        transition: border-bottom 0.1s, padding-bottom 0.1s;
    }

    .end:hover {
        border-bottom: 2px solid white;
        padding-bottom: 18px;
    }

    @media all and (max-width: 800px) {
        div {
            width: 100%;
            justify-content: space-between;
        }

        button {
            display: block;
            border: none;
            background-color: transparent;
            padding: 20px;
            font-size: 20px;
            font-family: $font;

        }

        .dropdown {
            display: none;
            flex-wrap: wrap;
            background-color: black;
        }

        .end {
            flex-basis: 100%;
            text-align: center;

        }
        .end:hover {
            border-bottom: none;
        }
        input {
            width: 100%;
            height: 30px;
            padding: 20px;

        }
        input:focus {
            width: 100%;
        }

    }
}

@media all and (max-width: 800px) {
    div {
        flex-wrap: wrap;
    }
}
}

@media all and (max-width: 440px) {
    nav {
        padding: 0;
    }
}